List sequences
curl --request GET \
--url https://app.leonar.app/api/v1/sequences \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.leonar.app/api/v1/sequences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.leonar.app/api/v1/sequences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "f6a7b8c9-0123-45de-fabc-678901234ef0",
"name": "Senior Engineers Outreach - Paris",
"status": "active",
"priority": "high",
"created_at": "2025-01-25T11:00:00Z",
"updated_at": "2025-02-10T14:00:00Z",
"steps_count": 5,
"enrollments": {
"total": 150,
"active": 45,
"paused": 10,
"finished": 80,
"replied": 32,
"bounced": 3
}
}
],
"meta": {
"total": 142,
"limit": 50,
"offset": 0,
"has_more": true
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key"
}
}Sequences
List sequences
GET
/
sequences
List sequences
Authorizations
API key starting with leo_
Query Parameters
Items per page
Required range:
1 <= x <= 100Items to skip
Required range:
x >= 0Return resources changed after this RFC 3339 timestamp. Contacts may redeliver rows exactly at the boundary; consumers must upsert idempotently.
Return resources with updated_at less than or equal to this RFC 3339 timestamp.
Filter by status
Options: created_at, updated_at, name, status
⌘I